Subject: 23, NS: frames re-appear when app switching

From: David Reitter <[email-masked]>
Date: Sun, 27 Sep 2009 11:50:40 -0400

package: ns

When starting up the NS port (trunk, on OS X 10.6.1), and then hiding  
the frame:

(make-frame-invisible nil t)

and then switching away and back to Emacs (Command-Tab, Command-Tab),   
the frame magically re-appears.
It shouldn't do that (it's non-standard).

What seems to happen is that the frame is raised (in front of desktop  
level) by the system before windowDidBecomeKey: is received.

I tried keeping the frame hidden in this case, for example via a call  
to x_make_frame_invisible (emacsframe) in windowDidBecomeKey:, but the  
result was that the menus become non-responsive (menuDown: isn't  
called at all!) until some frame is made visible.

A fix or a pointer to what could be wrong with the menu issue would  
probably help me produce a fix.